summaryrefslogtreecommitdiffstats
path: root/ubuntu/maverick/applications/kpowersave-nohal/debian/postrm
diff options
context:
space:
mode:
authorTimothy Pearson <kb9vqf@pearsoncomputing.net>2012-06-12 22:34:06 -0500
committerTimothy Pearson <kb9vqf@pearsoncomputing.net>2012-06-12 22:34:06 -0500
commit83f00e078628bd993d984f5124e964dc2aa2d0f9 (patch)
tree2db022bc5fa0a7187672cf79b77f5ff89006d6f9 /ubuntu/maverick/applications/kpowersave-nohal/debian/postrm
parent45e93b2bda41ffe6d4965db6396bb44ac5ffc86d (diff)
downloadtde-packaging-83f00e078628bd993d984f5124e964dc2aa2d0f9.tar.gz
tde-packaging-83f00e078628bd993d984f5124e964dc2aa2d0f9.zip
Add packaging files for kpowersave-nohal to Ubuntu and Debian
Diffstat (limited to 'ubuntu/maverick/applications/kpowersave-nohal/debian/postrm')
-rw-r--r--ubuntu/maverick/applications/kpowersave-nohal/debian/postrm24
1 files changed, 24 insertions, 0 deletions
diff --git a/ubuntu/maverick/applications/kpowersave-nohal/debian/postrm b/ubuntu/maverick/applications/kpowersave-nohal/debian/postrm
new file mode 100644
index 000000000..9e8ecc977
--- /dev/null
+++ b/ubuntu/maverick/applications/kpowersave-nohal/debian/postrm
@@ -0,0 +1,24 @@
+#! /bin/sh
+
+set -e
+
+package_name=kpowersave-nohal-trinity
+
+if [ -z "$package_name" ]; then
+ print >&2 "Internal Error. Please report a bug."
+ exit 1;
+fi
+
+case "$1" in
+ remove)
+ dpkg-divert --package $package_name --rename --remove /etc/acpi/powerbtn.sh
+ ;;
+ purge)
+ ;;
+ upgrade)
+ ;;
+ *) echo "$0: didn't understand being called with \`$1'" 1>&2
+ exit 0;;
+esac
+
+exit 0